Page 1 of 2 12 LastLast
Results 1 to 10 of 15

Thread: How can I install gnome-do 0.8 ?

  1. #1
    Join Date
    Sep 2007
    Location
    Riga Latvia
    Beans
    343
    Distro
    Ubuntu 8.04 Hardy Heron

    Exclamation How can I install gnome-do 0.8 ?

    I was pretty excited, when the beta with docky came out. I tried to compile it from source, but it didn't want to compile, so I thought it was the fact that it was beta.

    Now, that it has become stable, I hoped to see a hardy .deb, I already found an interpid deb, but there was no hardy deb for the 0.8 version of gnome-do. I picked the interpid deb, because many debs I've used seemed backwards/forwards compatible. But this complained about libglib2.0-cil, which can be found in /local/lib, I also downloaded a hardy deb for this lib, but with no results, it still complained about it.

    So I decided to compile from source. It ./configured pretty good, but it didn't want to make gnome-do out of itself. Here's the output:
    Code:
    Making all in .
    make[1]: Entering directory `/home/emils/Desktop/gnome-do-0.8.0'
    make[1]: Nothing to be done for `all-am'.
    make[1]: Leaving directory `/home/emils/Desktop/gnome-do-0.8.0'
    Making all in Do.Universe
    make[1]: Entering directory `/home/emils/Desktop/gnome-do-0.8.0/Do.Universe'
    make[1]: Nothing to be done for `all'.
    make[1]: Leaving directory `/home/emils/Desktop/gnome-do-0.8.0/Do.Universe'
    Making all in Do.Platform
    make[1]: Entering directory `/home/emils/Desktop/gnome-do-0.8.0/Do.Platform'
    make[1]: Nothing to be done for `all'.
    make[1]: Leaving directory `/home/emils/Desktop/gnome-do-0.8.0/Do.Platform'
    Making all in Do.Interface.Linux
    make[1]: Entering directory `/home/emils/Desktop/gnome-do-0.8.0/Do.Interface.Linux'
    Compiling Do.Interface.Linux.dll...
    ./src/Do.Interface/Do.Interface.AnimationBase/BezelColors.cs(107,73): error CS1501: No overload for method `ShadeColor' takes `1' arguments
    ./src/Do.Interface/Do.Interface.AnimationBase/BezelColors.cs(108,77): error CS1501: No overload for method `ShadeColor' takes `1' arguments
    ./src/Do.Interface/Do.Interface.AnimationBase/BezelColors.cs(109,77): error CS1501: No overload for method `ShadeColor' takes `1' arguments
    ./src/Do.Interface/Do.Interface.AnimationBase/BezelColors.cs(110,73): error CS1501: No overload for method `ShadeColor' takes `1' arguments
    ./src/Do.Interface/Do.Interface.AnimationBase/BezelColors.cs(111,73): error CS1501: No overload for method `ShadeColor' takes `1' arguments
    Compilation failed: 5 error(s), 0 warnings
    make[1]: *** [../build/Do.Interface.Linux.dll] Error 1
    make[1]: Leaving directory `/home/emils/Desktop/gnome-do-0.8.0/Do.Interface.Linux'
    make: *** [all-recursive] Error 1
    Could anyone help me get this going ? I really want docky!
    Originally Posted by rugbert
    Are there any plans to make it not suck so hard any time soon?
    ROFL!

  2. #2
    Join Date
    Dec 2008
    Beans
    451

    Re: How can I install gnome-do 0.8 ?


  3. #3
    Join Date
    Sep 2007
    Location
    Riga Latvia
    Beans
    343
    Distro
    Ubuntu 8.04 Hardy Heron

    Re: How can I install gnome-do 0.8 ?

    That's where I found the interpid version. Please try to pay attention and check the link again, because there is no hardy release.
    Originally Posted by rugbert
    Are there any plans to make it not suck so hard any time soon?
    ROFL!

  4. #4
    Join Date
    Dec 2008
    Beans
    451

    Re: How can I install gnome-do 0.8 ?

    Then if you want it that badly, upgrade to Intrepid.

  5. #5
    Join Date
    Sep 2007
    Location
    Riga Latvia
    Beans
    343
    Distro
    Ubuntu 8.04 Hardy Heron

    Re: How can I install gnome-do 0.8 ?

    This sucks. I am almost speechless.

    K I'll just make a enormous backup of everything, then upgrade, then install all the packages I had, then make a fresh install after the upgrade has failed, then try to find everything that wasn't ported to interpid, then I am going to copy my backup, and then use docky ?
    Originally Posted by rugbert
    Are there any plans to make it not suck so hard any time soon?
    ROFL!

  6. #6
    Join Date
    Dec 2008
    Beans
    451

    Re: How can I install gnome-do 0.8 ?

    Calm down. Either wait until a deb is released for hardy, upgrade to intrepid through your update-manager, or BREATHE and RELAX. It is just a dock. You'll live.

  7. #7
    Join Date
    Feb 2008
    Location
    UK
    Beans
    682
    Distro
    Ubuntu Development Release

    Re: How can I install gnome-do 0.8 ?

    Have you tried installing all of the dependencies individually then trying to make it?
    OMG! Ubuntu!
    Everything Ubuntu. Daily.

  8. #8
    Join Date
    Jun 2007
    Beans
    52

    Re: How can I install gnome-do 0.8 ?

    I'm another Hardy user who got the same error. I guess that it is dependency related to a mono library. I found a Google groups discussion and that linked to this page:

    http://directhex.mfgames.com/hardy.html

    When you link up Synaptic to this guys repository it allows you to install a later version of the library and finish building .8 from source. I'm still messing around with it, but I had to go into the directory where I built it and execute it. The result is that Do is version .8 with a docky that is slow as hell.

    I'd upgrade to Intrepid, but it's like they said above, a major back up for me that would require me buying another hard drive and spending a day upgrading.

    Hope this helps, John

  9. #9
    Join Date
    Dec 2008
    Beans
    451

    Re: How can I install gnome-do 0.8 ?

    Quote Originally Posted by MarblePanther View Post
    Calm down. Either wait until a deb is released for hardy, upgrade to intrepid through your update-manager, or BREATHE and RELAX. It is just a dock. You'll live.
    Sorry for my rudeness the other day.

    I would recommend also trying AWN or Cairo-Dock. (both are in the repos)

    http://wiki.awn-project.org/index.php?title=Main_Page

    http://tombuntu.com/index.php/2008/0...ll-cairo-dock/

  10. #10
    Join Date
    Sep 2008
    Location
    London, UK
    Beans
    491

    Re: How can I install gnome-do 0.8 ?

    Compile it from source, thats what i did. However the dock feature is not that impressive jus some usefull bug fixes.

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •